package com.ruoyi.logistics.service;

import com.ruoyi.logistics.domain.LargeRequest;

import java.util.List;
import java.util.Map;


public interface LargeScreenReportService {
    List<Map> queryOrderTypeReport(LargeRequest largeRequest);

    Map queryDayOrdersReport(LargeRequest largeRequest);

    Map queryProvinceOrdersReport(LargeRequest largeRequest);

    List<Map> queryFreeOrdersReport(LargeRequest largeRequest);

    List<Map> queryOrdersReportByType(LargeRequest largeRequest);

    Map queryDeptMonthlyGrowthRate(LargeRequest largeRequest);

    List<Map> queryTransportTypeReport(LargeRequest largeRequest);

    List<Map> queryDeptList(LargeRequest largeRequest);

    List<Map> queryProvinceList(LargeRequest largeRequest);

    Map queryLogisticsTrajectory(LargeRequest largeRequest);
}
